2011-02-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #17761: htmlArea RTE: Defer access to stylesheets

2011-02-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #17695: htmlArea RTE: Removing format may remove content

2011-02-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to issue #17677: htmlArea RTE: Classes configuration is loaded twice
	* Fixed bug #17669: htmlArea RTE: Dialogue window positioning properties not honoured

2011-02-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #17676: htmlArea RTE: Some combo stores are loaded twice
	* Fixed bug #17677: htmlArea RTE: Classes configuration is loaded twice 

2011-02-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #17658: htmlArea RTE: Write troubleshooting messages to JavaScript console
	* Fixed issue #17659: htmlArea RTE: Delete deprecated plugin information variables
	* Fixed issue #17660: htmlArea RTE: Delete deprecated color conversion function aliases
	* Follow-up to issue #17559: htmlArea RTE: Delete deprecated code/functions from main js script

2011-02-17  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #17616: htmlArea RTE: Link dialogue doesn't open when anchor class is set with double quotes

2011-02-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #17587: htmlArea RTE: RTE should not be enabled on Android

2011-02-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #17552: htmlArea RTE: Delete deprecated class HTMLArea.Dialog
	* Fixed issue #17554: htmlArea RTE: Delete deprecated DAM integration extension variable
	* Fixed issue #17555: htmlArea RTE: Delete deprecated Aspell-related extension configuration variables
	* Fixed issue #17557: htmlArea RTE: Delete deprecated Page TSConfig properties
	* Fixed issue #17558: htmlArea RTE: Delete deprecated browser identification js variables
	* Fixed issue #17559: htmlArea RTE: Delete deprecated code/functions from main js script
	* Fixed issue #17560: htmlArea RTE: Any plugin must be inside HTMLArea namespace
	* Fixed issue #17561: htmlArea RTE: Delete class HTMLArea.Base

2011-02-07  Stanislas Rolland  <typo3@sjbr.ca>

	* htmlArea RTE: Updated Manual

2011-02-01  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #17349: htmlArea RTE: JS error when using "Edit element"
	* Updated htmlArea RTE version to 2.2.0
	* Fixed bug #17438: htmlArea RTE: non-xhtml markup in image dialogue (Thanks to Georg Ringer)

2011-01-21  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16975: htmlArea RTE: Use parentNode rather than parentElement
	* Follow-up to bug #17157: htmlArea RTE: Not enabled in various browser/system combinations
	* Fixed bug #17205: htmlArea RTE: Remove Image button when images are not enabled
	* htmlArea RTE: Updated Manual and ext_emconf

2011-01-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #17140: htmlArea RTE: In WebKit, RTE inserts incorrect link if text is double-clicked
	* Updated htmlArea RTE version to 2.1.5

2011-01-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #17156: htmlArea RTE: Disable Cell merge button in FF when less than two cells are selected
	* Fixed bug #17157: htmlArea RTE: Not enabled in various browser/system combinations 

2011-01-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16045: htmlArea RTE: Merging table cells using context menu doesn't work in Firefox

2011-01-07  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16945: htmlArea RTE: Incorrect default tab label in image insertion dialogue
	* Fixed bug #16946: htmlArea RTE: Mouse cursor should be move cursor in drag an drop tab
	* Fixed bug #16948: htmlArea RTE: Temporary files folder should not be expanded in drag & drop tab
	* Fixed bug #16904: htmlArea RTE: Trailing slash stripped from href of autolinks
	* Fixed bug #16750: htmlArea RTE: Popup layer for editing links is not resizeable in IE

2011-01-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #16940: htmlArea RTE: Log magic image creation failures to syslog
	* Fixed bug #16893: htmlArea RTE: Fatal error on invoking the RTE

2010-12-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16823: htmlArea RTE: Abbreviation dialogue and table lack contextual help

2010-12-21  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16805: htmlArea RTE: Clicking a label should set the focus on the input field

2010-12-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16674: htmlARea RTE: Broken/missing labels in context menu
	* Fixed bug #16675: htmlArea RTE: Incorrect result when inserting horizontal rule in FF and WebKit

2010-12-01  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16058: htmlArea RTE: Overlay to choose a color exceeds the viewport if many colors are defined
	* Updated htmlArea RTE version to 2.1.4
	* Fixed bug #16637: htmlArea RTE: TextStyle plugin may raise js error

2010-11-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #16431: htmlArea RTE: in WebKit, clicking on image does not select it
	* Fixed bug #16571: htmlArea RTE: Configured height of link and image dialogue windows not honoured

2010-11-24  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16124: htmlArea RTE: Links are incorrectly updated in Google Chrome

2010-11-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #16431: htmlArea RTE: in WebKit, clicking on image does not select it

2010-11-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16343: htmlArea RTE: JS-Error when closing "Insert Picture" dialogue

2010-11-17  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16447: htmlArea RTE: Missing tooltip label for horizontal rule

2010-11-16  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #2474: htmlArea RTE: Add general element properties editing dialogue
	* Fixed bug #16431: htmlArea RTE: in WebKit, clicking on image does not select it
	* Follow-up to feature #2474: htmlArea RTE: Add general element properties editing dialogue
	* Fixed bug #16433: htmlArea RTE: Default action not prevented on click in status bar

2010-11-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16365: htmlArea RTE: Delete compressed files when clearing RTE cache
	* Fixed bug #16347: htmlArea RTE: PHP Warning: Invalid argument supplied for foreach() in ext_tables.php

2010-11-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16314: Incorrect use of is_dir in class.tx_rtehtmlarea_clearrtecache.php (Thanks to Juergen Deisenroth)

2010-11-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #8349: htmlArea RTE: Clean paste feature with three options
	* Fixed bug #16327: JS error after feature #16257: Rewrite stylesheets parsing functions (Thanks to Andreas Kiessling)
	* Added feature #16344: htmlArea RTE: New options to configure RTE size/resize
	* Fixed bug #16346: htmlArea RTE: fontstyle/fontsize may raise js error on toolbar update

2010-11-08  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16245: htmlArea RTE: When inserting link with IE8, trailing line break is also linked
	* Updated htmlArea RTE version to 2.1.3
	* Fixed bug #16313: htmlArea RTE: WebKit does not support copy and cut commands anymore

2010-11-07  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16293: htmlArea RTE: Add quick tips to insert emoticon dialogue

2010-11-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16281: htmlArea RTE: Add context sensitive help to remove format dialogue (BE only)
	* Follow-up to feature #7872: htmlArea RTE: Allow CSS-styles for tables without having to activate blockstyle

2010-11-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #7872: htmlArea RTE: Allow CSS-styles for tables without having to activate blockstyle

2010-11-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16257: htmlArea RTE: Rewrite stylesheets parsing functions
	* Fixed bug #16248: htmlArea RTE: Mistake in locallang file of character map

2010-11-03  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16175: htmlArea RTE: The path of classesAnchor images are modified when saving

2010-11-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to feature #16079: htmlArea RTE: Register RTE scripts with the autoloader
	* Fixed bug #16167: htmlArea RTE: Doesn't work in IE6 in current trunk

2010-10-27  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16148: htmlArea RTE: Missing cancel browser default after inserting character or emoticon

2010-10-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #16087: htmlArea RTE: Missing soft hyphen entity in CharacterMap
	* Added feature #16127: htmlArea RTE: Add quick tips in character map

2010-10-24  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16118: htmlArea RTE: cleanup/rewrite DOM to html rendering
	* Follow-up to feature #16118: htmlArea RTE: cleanup/rewrite DOM to html rendering

2010-10-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16114: htmlArea RTE: cleanup some js code generation code

2010-10-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16079: htmlArea RTE: Register RTE scripts with the autoloader
	* Follow-up to feature #16079: htmlArea RTE: Register RTE scripts with the autoloader

2010-10-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16073: htmlArea RTE: Add paste as plain text feature
	* Follow-up to bug #15339: htmlArea RTE: tkr_rteanchors breaks the link editing dialogue
	* Follow-up to feature #16073: htmlArea RTE: Add paste as plain text feature

2010-10-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16047: htmlArea RTE: Add word count in the status bar
	* Fixed bug #16050: htmlArea RTE: Backspacing in empty editing area may raise js error
	* Updated htmlArea RTE version to 2.1.2

2010-10-17  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #16037: htmlArea RTE: Bring custom events under HTMLArea namespace

2010-10-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #15880: htmlArea RTE: Context menu not working in TYPO3 4.4.3 and 4.5-dev
	* Fixed bug #15893: htmlArea RTE: Insufficient Check for BE / FE Context (Thanks to Ingo Renner)

2010-10-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #15858: htlmArea RTE: Stylesheet access error in Google Chrome 7
	* Fixed bug #15899: htmlArea RTE: Editing area collapsed in Chrome 7

2010-10-03  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #15884: htmlArea RTE: Remove class Ext.ux.StatusBar
	* Added feature #15885: htmlArea RTE: Add option to remove typographical punctuation (Thanks to Daniel Schwarzloh)

2010-10-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #15879: htmlArea RTE: Use TYPO3 ExtJS API for RTE notification dialogues
	* Fixed bug #15880: htmlArea RTE: Context menu not working in TYPO3 4.4.3 and 4.5-dev

2010-09-29  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15858: htlmArea RTE: Stylesheet access error in Google Chrome 7
	* Fixed bug #15863: htmlArea RTE: Initilization never completes in Google Chrome 7

2010-09-27  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15820: htmlArea RTE: Failure to install AllowClipboard Helper extension raises js error
	* Fixed bug #15339: htmlArea RTE: tkr_rteanchors breaks the link editing dialogue
	* Fixed bug #15730: htmlArea RTE: Problem editing a new list entry in list of items with inline markup
	* Fixed bug #15818: htmlArea RTE: Erratic behaviour of toolbar in some browsers

2010-09-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #15797: htmlArea RTE: Problem in Firefox inserting non-breaking space with Insert Special Character dialogue

2010-09-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15430: htmlArea RTE: Text not editable after pasting with server-based cleaning
	* Follow-up to bug #15430: htmlArea RTE: Text not editable after pasting with server-based cleaning
	* Fixed bug #15797: htmlArea RTE: Problem in Firefox inserting non-breaking space with Insert Special Character dialogue
	* Fixed bug #15749: htmlArea RTE: Firefox shows &amp; in external links with query string
	* Fixed bug #15512: htmlArea RTE: Initialization in flexforms broken with TYPO3 4.4
	* Follow-up to bug #15622: t3lib_TCEforms_inline registers superfluous nested level when renderFieldsOnly is set

2010-09-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #15326: htmlArea RTE: W3C Markup Validation issues (Thanks to Jigal van Hemert)

2010-09-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15326: htmlArea RTE: W3C Markup Validation issues

2010-08-31  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15068: htmlArea RTE: Not loading in Firefox 3.0.3

2010-08-29  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15354: htmlArea RTE: Remove link option not enabled on double-click in Firefox
	* Follow-up to bug #15354: htmlArea RTE: Remove link option not enabled on double-click in Firefox

2010-08-28  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE version to 2.1.1

2010-08-27  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15569: htmlArea RTE: RTE not loading when ExtJS 3.2.1 is used
	* Fixed bug #15570: htmlArea RTE: Incorrect height when loaded in a hidden tab with ExtJS 3.2.1
	* Fixed bug #15415: htmlArea RTE: RTEs hidden on load not usable with multiple RTEs in a record
	* Fixed bug #15328: htmlArea RTE: Strange behaviours inserting links in IE
	* Fixed bug #15584: htmlArea RTE: iframe baseURL may be incorrectly set
	* Fixed bug #15516: htmlArea RTE: Safari does not support WISIWYG editing on iPad

2010-08-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15477: htmlArea RTE: Unlink may unlink the wrong link in IE

2010-08-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15547: htmlArea RTE may load extJS debug script in FE which makes page loading slow
	* Updated htmlArea RTE manual.

2010-08-24  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15439: htmlArea RTE: Deprecated call-time pass-by-reference

2010-08-23  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12583: htmlArea RTE: RTE fails to load due to security error

2010-08-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15355: htmlArea RTE: Using the advanded frontend editing, the editor is not loaded in the text tab

2010-07-27  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15244: htmlArea RTE: textearea Id may not be unique in FE
	* Fixed bug #15250: htmlArea RTE: FE additionalJS_post javascript may be displayed as HTML text
	* Fixed bug #15121: htmlArea RTE: Javascript Error in IE7 prevent Link dialogue from opening
	* Fixed bug #14859: htmlArea RTE won't load in backend extension

2010-07-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15243: htmlArea RTE: Extension stylesheets refer to incorrect selectors

2010-07-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE version to 2.1.0

2010-07-23  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #15203: htmlArea RTE: Modify link option missing in context menu

2010-07-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14896: ExtJS is not included when RTE is invoked by USER_INT frontend script

2010-07-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14929: htmlArea RTE: Font Family and Font Size Dropdown boxes don't open
	* Fixed bug #14996: htmlArea RTE: Clicking in drop down boxes should mark text

2010-06-29  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14905: htmlArea RTE: Image dialogue shows tab "Current picture" when there is no current image 

2010-06-28  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14830: htmlArea RTE: Entering line breaks with Safari not possible

2010-06-27  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14886: htmlArea RTE: Incorrect function scope when error is raised
	* Fixed bug #14887: htmlArea RTE: RTE may be started before style sheets are loaded

2010-06-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14876: htmlArea RTE: SelectFont plugin may cause js error
	* Follow-up to bug #14793: htmlArea RTE: Problematic icons in IE6

2010-06-21  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14799: htmlArea RTE: Color dialogue may raise a js error in IE
	* Updated htmlArea RTE version to 2.0.2
	* Fixed bug #14793: htmlArea RTE: Problematic icons in IE6
	* Fixed bug #14812: htmlArea RTE: Path to acronym record icon is not correct (Thanks to Helmut Hummel)

2010-06-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14797: htmlArea RTE: Toolbar combo boxes do not float left in IE6 (Thnaks to Jigal van Hemert).

2010-06-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14464: htmlArea RTE: Type of block accumulation if the block is manually selected in Safari

2010-06-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE version to 2.0.1

2010-06-17  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14770: htmlArea RTE: Abbreviation dialogue not always correctly initialized

2010-06-16  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14567: htmlArea RTE: RTE is greyed out and has no "styles" in page module QuickEdit
	* Fixed bug #14746: htmlArea RTE: TableOperations: Label for "Headers" has a colon in excess

2010-06-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14737: htmlArea RTE: Missing labels for SelectFont extension
	* Fixed bug #14738: htmlArea RTE: Cleaning dead scripts
	* Fixed bug #14622: htmlArea RTE: Drop down boxes have no width when displayed with feeditadvanced

2010-06-14  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14723: htmlArea RTE: JS errors block RTE usage in IE6 and IE7 (Thanks to Jo Hasenau)
	* Follow-up to bug #14360: htmlArea RTE: Toolbar and context menu styling needs adjustments
	* Updated htmlArea RTE version to 2.0.0

2010-06-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to issue #14662: htmlArea RTE: Should use t3lib_utility_Client::getBrowserInfo
	* Fixed bug #14691: htmlArea RTE: Hitting ENTER in absence of block element may produce non-valid html in non-IE browser

2010-06-09  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14677: htmlArea RTE: Toolbar state incorect in the absence of block element
	* Follow-up to issue #14662: htmlArea RTE: Should use t3lib_utility_Client::getBrowserInfo

2010-06-08  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE manual.
	* Fixed bug #14662: htmlArea RTE: Should use t3lib_utility_Client::getBrowserInfo
	* Fixed bug #13062: htmlArea RTE: "non-floating" float value doesn't stick on images
	* Fixed bug #13301: htmlArea RTE: textstyle cannot be applied to full content of block element

2010-06-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #14360: htmlArea RTE: Toolbar and context menu styling needs adjustments
	* Fixed bug #12486: RTE does not work with arora

2010-06-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14625: htmlArea RTE: Inconsistant position of ok button

2010-06-03  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14397: htmlArea RTE: Incorrect encoding of some labels when BE is not utf-8

2010-05-27  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14489: htmlArea RTE: color dialogues do not show all configured colors
	* Fixed bug #14491: htmlArea RTE: disableColorPicker not always honoured
	* Fixed bug #14494: htmlArea RTE: backpath is not correctly set
	* Follow-up to issue #14494: htmlArea RTE: backpath is not correctly set
	* Further follow-up to issue #14494: htmlArea RTE: backpath is not correctly set

2010-05-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14333: htmlArea RTE: justify after CTRL+A not working in Firefox

2010-05-24  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE version to 1.9.3
	* Fixed bug #14470: htmlArea RTE: hovering custom colours produces shivering effect

2010-05-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #14413: htmlArea RTE: ExtJS resources are not released in IE when RTE closes

2010-05-17  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14413: htmlArea RTE: ExtJS resources are not released in IE when RTE closes

2010-05-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #14360: htmlArea RTE: Toolbar and context menu styling needs adjustments
	* Fixed bug #14374: htmlArea RTE: Language plugin may cause js error on RTE initialization

2010-05-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9455: RTE incorrectly modifies external links and causes problems with subdomains
	* Fixed bug #14360: htmlArea RTE: Toolbar and context menu styling needs adjustments

2010-05-09  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to feature #14014: htmlArea RTE should use version numbering method for CSS and JS files
	* Fixed bug #14349: htmlArea RTE: Unavailability of hot key map may cause plugin to fail
	* Follow-up to feature #14277: Apply gzip compression to htmlArea RTE concatenated js script
	* Follow-up to feature #14014: Some htmlArea RTE csss files are not versioned in the FE

2010-05-07  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14202: htmlArea RTE: Tables may get lost when using remove format feature

2010-04-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14153: htmlAreaRTE: Some Page TSConfig may break default hotkey assignments
	* Fixed bug #14106: htmlArea RTE: ENTER after an image at beginning of block deletes the image

2010-04-14  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE manual.

2010-04-13  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to feature #14051: htmlArea RTE: Streamline the RTE loading process
	* Fixed bug #14085: htmlArea RTE: Setting empty color raises js error in IE
	* Fixed bug #14086: htmlArea RTE: Small css glitch in the color setting dialogue
	* Added feature #14094: htmlArea RTE: Optionally add rel attribute to link dialogue
	* Added feature #14014: htmlArea RTE should use versionnumbering method for CSS and JS files

2010-04-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13116: htmlArea RTE: Allow to hide counting classes
	* Fixed bug #13674: htmlArea RTE: Incorrect position of cursor after SHIFT-ENTER in WebKit browser
	* Follow-up to bug #14066: htmlArea RTE: Erratic handling of oncut and onpaste events
	* Fixed bug #14084: htmlArea RTE: RTE fails in absence of wizards
	* Follow-up to feature #14067: htmlARea RTE: Eliminate namespace pollution

2010-04-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14062: Text Content element crashes (thanks to Jigal van Hemert
	* Fixed bug #14066: htmlArea RTE: Erratic handling of oncut and onpaste events
	* Added feature #14067: htmlARea RTE: Eliminate namespace pollution
	* Added feature #14068: htmlARea RTE: Always rely on ExtJS browser identification

2010-04-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #14051: htmlArea RTE: Streamline the RTE loading process
	* Added feature #14057: htmlArea RTE: Extjize the RTE ajax requests.
	* Added feature #14058: htmlArea RTE: update some WebKit dom methods.
	* Added feature #14059: htmlArea RTE: Cleanup use of editor focus method
	* Fixed bug #14060: htmlArea RTE: Some table operations configuration may cause js error

2010-04-08  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #14035: htmlArea RTE: Use sprite for toolbar icons
	* Updated htmlArea RTE version to 1.9.2

2010-04-07  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #13956: htmlArea RTE: Editing area is collapsed when the RTE is loaded inside a hidden tab in Safari

2010-04-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #14004: htmlArea RTE: Applying color or font repeatedly produces nested span elements

2010-03-30  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to feature #13954: htmlArea RTE: Extjize TYPO3 link, image and user elements dialogue windows

2010-03-29  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13954: htmlArea RTE: Extjize TYPO3 link, image and user elements dialogue windows

2010-03-24  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13909: htmlArea RTE: Extjize the default non-TYPO3 image dialogue
	* Follow-up to feature #13878: htmlArea RTE: Extjize the default non-TYPO3 link dialogue
	* Follow-up to feature #13785: htmlArea RTE: Extjize Find & Replace dialogue

2010-03-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13878: htmlArea RTE: Extjize the default non-TYPO3 link dialogue
	* Fixed bug #13887: htmlArea RTE: Table dialogues may raise js error
	* Added feature #13888: htmlArea RTE: Add border around toolbar
	* Follow-up to feature #13796: htmlArea RTE: Extjize Remove format dialogue
	* Added feature #13889: htmlArea RTE: Cleanup some unused scripts (Quick Tag)

2010-03-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13870: htmlArea RTE: Extjize the spell checker

2010-03-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9218: htmlArea RTE: "Remove format" messes up some inline formats
	* Added feature #2342: htmlArea RTE: "abbr" attribute for table header cells

2010-03-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13795: htmlArea RTE: Extjize About dialogue
	* Added feature #13796: htmlArea RTE: Extjize Remove format dialogue

2010-03-09  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13785: htmlArea RTE: Extjize Find & Replace dialogue
	* Fixed bug #13786: htmlArea RTE: ExtJS raises JS error on opening resizable window in IE

2010-03-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to #13668: htmlArea RTE: Cleanup some unused code (statusbar)

2010-03-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13748: htmlArea RTE: Extjize character map
	* Fixed bug #9056: htmlArea RTE: Accessibility problem with smileys

2010-02-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #13651: htmlArea RTE: Table insertion is broken in IE8
	* Added feature #13667: htmlArea RTE: Make toolbar dropdown size configurable in Page TSConfig
	* Cleanup #13668: htmlArea RTE: Cleanup some unused code (acronym, color, font)
	* Fixed bug #13671: htmlArea RTE: Invalid reference to font options in WebKit browsers
	* Fixed bug #13672: htmlArea RTE: Conflicting configuration property name
	* Cleanup #13673: htmlArea RTE: url to acronym module is not used anymore

2010-02-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13608: htmlArea RTE: Make height of the context menu configurable
	* Fixed bug #13618: htmlArea RTE: RTE iframe is sometimes collapsed
	* Fixed bug #13619: htmlArea RTE: url not detected on enter

2010-02-21  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #13580: htmlArea RTE: Extjize the RTE
	* Fixed bug #13596: htmlArea RTE: Styling dropdowns grow on every use
	* Fixed bug #13597: htmlArea RTE: Toolbar select box does not close on click in editing area
	* Fixed bug #13310: htmlArea RTE: Additional Inline Elements issue with overlapping ranges
	* Fixed bug #13599: htmlArea RTE: Annoying mouse-over effect on context menu items

2009-12-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12782: htmlArea RTE: Editing a link title or target with Firefox 3 sometimes simply unlinks the link

2009-12-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #13004: htmlArea RTE: buttons.table.disableEnterParagraphs not honoured in Opera
	* Fixed bug #13007: htmlArea RTE: Toggling insertlist buttons may freeze Safari/Chrome browsers
	* Fixed bug #13008: htmlArea RTE: Ending a list may produce invalid xhtml in Safari/Chrome

2009-12-09  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12682: Section links coming from RTE broken in FE

2009-12-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #12926: RTE floods BE Log with error messages from json_encode()

2009-12-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #12930: htmlArea: Resizable RTE area
	* Added feature #12943: htmlArea RTE: Configuring custom items in the block formatting drop-down list
	* Fixed bug #12926: RTE floods BE Log with error messages from json_encode()

2009-11-24  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE manual.

2009-11-23  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE version to 1.8.6

2009-11-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12684: htmlArea RTE: Repeated character / backspacing is slow in Firefox

2009-11-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12677: htmlArea RTE: Incorrect cursor position after backspace/delete in Firefox

2009-11-16  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12619: htmlArea RTE: JS error raised by spell checker
	* Fixed bug #12622: htmlArea RTE: Incorrect behaviour of last item of list in gecko browsers

2009-11-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12597: htmlArea RTE: cursor position is not restored by undo/redo operations in Opera
	* Fixed bug #12421: htmlArea RTE: Paste is erratic in Opera 10 when server-based cleaning is enabled
	* Fixed bug #11362: htmlArea RTE: Cursor may not be put in list elements newly created in front of links
	* Fixed issue #12601: htmlArea RTE: Update list of supported browsers
	* Updated htmlArea RTE version to 1.8.5

2009-11-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #4670: htmlArea RTE: Problem when cutting pasting links within table cells or list items

2009-11-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12566: htmlArea RTE: Selecting element from status bar does not work in Safari
	* Fixed bug #12568: htmlArea RTE: Text pasted by Safari is wrapped in span or font tags

2009-11-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12115: htmlArea RTE "Create link" button doesn't become clickable when using keyboard to select text in Safari/Chrome

2009-11-09  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to #11847: htmlArea RTE displays empty editing area in Opera 10
	* Fixed bug #12534: htmlArea RTE: list creation looses text in Safari

2009-11-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12481: AllowClipboard Helper Firefox extension does not work with FF 3.5
	* Updated htmlArea RTE manual
	* Updated htmlArea RTE version to 1.8.4

2009-11-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12439: htmlArea RTE: js error raised on paste by default word cleaning
	* Fixed bug #12331: htmlArea RTE plugins may not be loaded for multiple RTEs

2009-10-27  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #12252: htmlArea RTE: errors are raised when extension rtehtmlarea_definitionlist is installed with TYPO3 4.3

2009-09-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #11915: htmlArea RTE: superfluous span tags in content after server-based cleaning on paste operation
	* Follow-up to bug #11946: htmlArea RTE: reference was made to context menu item after context menu was closed
	* Added feature #11966: htmlArea RTE: Restrict access to "Clear RTE Cache" option in clear cache menu
	* Updated htmlArea RTE manual

2009-09-13  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #11847: htmlArea RTE displays empty editing area in Opera 10
	* Fixed bug #11946: htmlArea RTE: table properties editing dialogue windows loose focus after opening in IE8

2009-09-03  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE version to 1.8.3 for TYPO3 4.3beta1
	* Fixed bug #11863: htmlArea RTE: css syntax errors in language marks feature

2009-04-28  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #11003: htmlArea RTE: empty mutuallyExclusiveClasses array may cause js error

2009-04-09  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10847: htmlArea RTE: undo/redo is erratic in IE8
	* Fixed issue #10665: RTE in FE loads stylesheet with title attribute which prevents Firefox from applying the stylesheet

2009-04-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to issue #10834: htmlArea RTE: IE8 now uses standard name for DOM class attribute

2009-04-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to issue #10834: htmlArea RTE: IE8 now uses standard name for DOM class attribute
	* Added feature #10848: htmlArea RTE: Streamline some functions in class.tx_rtehtmlarea_base.php

2009-04-03  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10837: htmlArea RTE: IE8 reports unknown "complete" attribute on img nodes
	* Fixed bug #10836: htmlArea RTE: RTE leaves unwanted id attribute on inserted table in IE8
	* Added feature #10842: htmlArea RTE: Let IE8 display language marks like other browsers do
	* Fixed bug #10843: htmlArea RTE: IE7 complains when reference is made to attribute xml:lang
	* Fixed bug #10844: htmlArea RTE: IE8 creates erroneous ranges when selection is empty
	* Fixed bug #10845: htmlArea RTE: Incorrect XCLASS in class.tx_rtehtmlarea_editormode.php
	* Fixed bug #10846: htmlArea RTE: Missing icon in default skin of Language extension
	* Updated htmlArea RTE manual
	* Updated htmlArea RTE version to 1.8.2

2009-04-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10834: htmlArea RTE: IE8 now uses standard name for DOM class attribute
	* Fixed issue #10747: htmlArea RTE: Inserting a table in IE8 may fail

2009-03-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #10670: htmlArea RTE: enable alternate rendering of image click enlarge by FE plugins

2009-03-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #7973: htmlArea RTE: Superfluous leading bar inserted in toolbar after linebreak

2009-03-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10656: htmlArea RTE: Initialization fails in presence of Firefox extension Ant.com Toolbar 1.3

2009-03-08  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #10635: htmlArea RTE: Two typos in the manual

2009-03-07  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up for feature #7970: fontstyle and fontsize should not use deprecated font tag

2009-03-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10610: htmlArea RTE: Two errors in class.tx_rtehtmlarea_acronym.php (Thanks to Ursula Renziehausen).
	* Fixed bug #6947: RTEfullScreenWidth by default please !

2009-02-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10547: htmlArea RTE: tx_rtehtmlarea_clearrtecache::clearTempDir should use resolveBackPath

2009-02-23  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10531: htmlArea RTE: JS error may be raised by Opera on page unload
	* Fixed bug #10532: htmlArea RTE: language code of lang attribute should be lower case

2009-02-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10524: htmlArea RTE: Language feature may raise JS error when RTE loads
	* Fixed bug #10525: htmlArea RTE: Language feature always requires Static Info Tables

2009-02-21  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10519: htmlArea RTE: RTE sometimes overlaps following form element
	* Added feature #10520: htmlArea RTE: Configuration option to override RTE width

2009-02-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8905: option+space for inserting non-braking space on Mac OSX does not work properly
	* Added feature #10510: htmlArea RTE: Allow to specify default content language in BE
	* Added feature #10513: htmlArea RTE: Improve spell checker configurability

2009-02-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10479: htmlArea RTE: JS error is raised when using the delete icon on a flexform

2009-02-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #10428: htmlArea RTE: Remove configuration variables related to Mozilla clipboard access
	* Follow-up for feature #10416: htmlArea RTE: Add configuration options for the acronym feature

2009-02-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up for feature #10339: htmlArea RTE: Move editing mode change to plugin
	* Follow-up for feature #10182: htmlArea RTE: Add support for editing lang attribute
	* Added feature #10416: htmlArea RTE: Add configuration options for the acronym feature
	* Further follow-up for feature #10182: htmlArea RTE: Add support for editing lang attribute

2009-02-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10352: htmlArea RTE: Shift+Enter raises exception in Safari
	* Fixed bug #10353: htmlArea RTE: Colouring features should check if style attribute is allowed
	* Fixed bug #10354: htmlArea RTE: Definition List extension must require the Block Elements extension

2009-02-03  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up for bug #10326: htmlArea RTE: Cleaning on paste broken in older versions of Mozilla/Firefox
	* Fixed bug #9894: htmlArea RTE: copy/cut/paste with hotkeys does not work in some browsers/settings
	* Fixed bug #10337: htmlArea RTE: Allow Clipboard Helper does not work with Firefox 3
	* Added feature #10339: htmlArea RTE: Move editing mode change to plugin

2009-02-01  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10323: htmlArea RTE: hotkey CTRL+0 is not honoured
	* Fixed bug #10324: htmlArea RTE: Configured hotkeys are not honoured in Safari
	* Added feature #10325: htmlArea RTE: Make hotkey for enableWordClean feature configurable
	* Fixed bug #10326: htmlArea RTE: Cleaning on paste broken in older versions of Mozilla/Firefox

2009-02-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #10482: htmlArea RTE: Find & replace sometimes leaves marks in the content

2009-01-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #10182: htmlArea RTE: Add support for editing lang attribute
	* Fixed bug #9904: htmlArea RTE: RTE.default.buttons.table.properties.borderStyle.removeItems is not honored
	* Fixed bug #9905: htmlArea RTE: Table properties: Removing headers leaves an empty fieldset

2009-01-21  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to #10195: htmlArea RTE: Update RTE about info
	* Added feature #10219: htmlArea RTE: Clean up unused localization files
	* Fixed bug #9785: htmlArea RTE: Disabling images in RTE still leaves the toolbar button
	* Fixed bug #9965: htmlArea RTE: IE jumps down to last RTE input

2009-01-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #10206: htmlArea RTE: Allow to hide any button

2009-01-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #10181: htmlArea RTE: Move status bar to plugin
	* Added feature #10195: htmlArea RTE: Enable the RTE in Opera 9.62+
	* Added feature #10196: htmlArea RTE: Remove extension configuration variable enableClickEnlarge
	* Fixed bug #10197: htmlArea RTE: Missing XCLASS inclusion in class.tx_rtehtmlarea_pi1.php
	* Follow-up to #10181: htmlArea RTE: Move status bar to plugin
	* Fixed bug #9935: htmlArea RTE: enableWordClean on paste does not work when hidden button is not in toolbar
	* Updated htmlArea RTE version to 1.8.1 for TYPO3 4.3.0 alpha2

2009-01-14  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #10138: htmlArea RTE: add Clear RTE cache option to BE Clear cache menu
	* Fixed bug #10140: htmlArea RTE: Alignment of td's and th's in out-of-the-box installation

2009-01-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to bug #9932: htmlArea RTE Spellcheck does not work when TYPO3 is installed in subdir

2008-12-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9932: htmlArea RTE Spellcheck does not work when TYPO3 is installed in subdir

2008-12-17  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9596: htmlArea RTE does not work in IRRE subelements
	* Added feature #7963: htmlArea RTE css parsing: honour classes with element context selectors inside other context selectors (thanks to Mikkel Ricky)
	* Fixed bug #9969: htmlArea RTE: blindImageOptions is not honoured in TYPO3 4.3-dev

2008-12-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9878: htmlArea RTE: js error may be raised when loading through IRRE Ajax call

2008-11-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow up for feature #9775: htmlArea RTE: additional features for link insertion dialogue

2008-11-13  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow up for issue #9771: htmlArea RTE spellchecker not working in TYPO3 4.3-dev

2008-11-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9771: htmlArea RTE spellchecker not working in TYPO3 4.3-dev
	* Added feature #9775: htmlArea RTE: additional features for link insertion dialogue
	* Added feature #9776: htmlArea RTE: enable stdwrap on the image clickEnlarge tag

2008-10-23  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9613: htmlArea RTE uses JScodeLibArray to insert CSS

2008-10-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #5019: htmlArea RTE hangs while editing link in Firefox

2008-10-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Updated htmlArea RTE manual

2008-10-10  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #7970: htmlArea RTE: fontstyle and fontsize should not use deprecated font tag

2008-10-08  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9516: htmlArea RTE: Move link tags to head
	* Added feature #9521: htmlArea RTE: factor out some functions dealing with inline elements
	* Added feature #7875: Coloured text is created using font-tag instead of span in IE
	* Added feature #8847: Custom colors in TYPO3Color like old SelectColor extension

2008-10-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9490: htmlArea RTE: Opera 9.52 sometimes refuses to insert a node

2008-10-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up for issue #9472: htmlArea RTE: Safari may crash when the RTE closes
	* Fixed bug #9484: htmlArea RTE: context menu raises an error when link button is not configured

2008-10-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9444: htmlArea RTE: Incorrect assigment of class to one line <ol> in Firefox
	* Fixed bug #9472: htmlArea RTE: Safari may crash when the RTE closes

2008-10-01  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9464: htmlArea RTE: url auto-detect feature not working in Firefox
	* Fixed issue #9467: htmlArea RTE: cleanup in FE plugin

2008-09-29  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to issue #9375: Add DTD to htmlArea RTE iframe document
	* Fixed bug #9449: htmlArea RTE: Opera sometimes raises a JavaScript error when the RTE closes

2008-09-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9386: Acronym plugin encoding problem

2008-09-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #9429: htmlArea RTE: Cleanup unused files

2008-09-24  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #9424: htmlArea RTE: Cleanup dialogue windows

2008-09-21  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9404: htmlArea RTE: Cleaning out deprecated extension variables

2008-09-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9331: htmlArea RTE Acronym feature: List of unabridged terms shows wrong values

2008-09-17  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #9370: htmlArea RTE: enhanced toggleborders feature

2008-09-16  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #9362: htmlArea RTE: highlight active items in context menu as in toolbar
	* Follow up to #9354: htmlArea RTE: no default css rule is provided for indentation: px to em

2008-09-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9310: table border colour popups appear only when textcolour button is shown
	* Fixed bug #9354: htmlArea RTE: no default css rule is provided for indentation

2008-09-14  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9308: htmlArea RTE: link on colour name doesn't set colour

2008-09-13  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9277: Incorrect size of htmlArea RTE dialogue windows in Google Chrome browser
	* Fixed bug #9338: htmlArea RTE: incorrect opening size of some dialogue windows
	* Fixed bug #9339: htmlArea RTE: Enable resizing of acronym dialogue window in IE
	* Added feature #9340: htmlArea RTE: Configuration options for size and position of dialogue windows
	* Fixed bug #9341: htmlArea RTE: unable to disable the acronym element from the acronym feature

2008-09-08  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up to issue #8996: htmlArea RTE: link to file not updated when changing case in file name
	* Fixed bug #9022: Link-Icon stays grey while trying to link an image in ie7

2008-09-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #9262: Adding counting classes to table rows/columns in RTE (thanks to Thorsten Krohn)
	* Fixed bug #9296: htmlArea RTE: remove upload form when element browser is in readOnly mode

2008-09-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #9276: htmlArea RTE: allow wild cards in lists of allowed class names

2008-09-01  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #8668: Configurable labels for formatblock items in htmlArea RTE

2008-08-30  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #9255: External URLs cannot be set in RTEhtmlarea anymore

2008-08-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #9235: Enable synchronous load of some htmlArea RTE plugins
	* Follow-up for issue #9235: Enable synchronous load of some htmlArea RTE plugins (boolean inversion)

2008-08-25  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed issue #9196: In htmlArea RTE, unable to create an external URL containing german umlauts

2008-08-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #9201: Integrate support for definition list into htmlArea RTE

2008-08-19  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up for issue #9185: Incorrect initialization when hooks are present
	* Fixed bug #9197: Misbehaviour of DAM media tab in htmlArea RTE link insertion dialogue

2008-08-18  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up for feature #4686: htmlArea RTE Spell Checker: add u modifier to preg_* operations
	* Follow-up for bug #8232: Creating and editing of fields, forms, etc. in FCE's is impossible if there is a section inside
	* Fixed issue #2714: In RTE htmlArea, unable to do an internal link with several parameters

2008-08-16  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #9109: Enable altMountPoints feature in RTE element browser (Thanks to Steffen Kamper)
	* Added feature #4686: Remove dependency of htmlArea RTE Spell Checker on php extension mbstring
	* Fixed issue #9185: Redundant code in class.tx_rtehtmlarea_browse_links.php

2008-08-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8988: htmlArea RTE: Pasting text from MS Word to Firefox 3 brings a lot of garbage
	* Follow-up for issue #8799: htmlArea RTE: correction to two path settings

2008-08-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Follow-up for issue #8673: htmlArea RTE drag n drop tab of image insertion not functional
	* Follow-up for issue #8717: Add suggested doc extension to htmlArea RTE ext_emconf.php
	* Fixed bug #8996: htmlArea RTE: link to file not updated when changing case in file name
	* Added feature #9157: htmlArea RTE EM setting for DAM becomes deprecated with DAM 1.1+
	* Follow-up on feature #9157: htmlArea RTE EM setting for DAM - correcting test on DAM version
	* Updated htmlArea RTE version to 1.8.0 for TYPO3 4.3.0 alpha

2008-08-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #9121: Move htmlArea RTE cut/copy/paste handling to own extension

2008-06-29  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #8791 (revisited): Let htmlArea RTE context menu use the RTE API

2008-06-27  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug 8314: rtehtmlarea: Argument 1 passed to t3lib_div::array_merge_recursive_overrule() must be an array, null given

2008-06-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8660: htmlArea RTE configuration option formatblock.restrictToItems does not work

2008-06-23  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #8799: Move htmlArea RTE undo/redo handling to own extension

2008-06-21  Stanislas Rolland  <typo3@sjbr.ca>

	* Added feature #8790: htmlArea RTE image selection should honour hooking browsers
	* Added feature #8791: Let htmlArea RTE context menu use the RTE API
	* Fixed bug #8717 (cleanup): htmlArea RTE link browser does not honour correctly hooking browsers

2008-06-17  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8717 (revisited): htmlArea RTE link browser does not honour correctly hooking browsers

2008-06-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8716: htmlArea RTE: target configured on link class not honoured
	* Fixed bug #8716 (continued for dam): htmlArea RTE: target configured on link class not honoured
	* Fixed bug #8717: htmlArea RTE link browser does not honour correctly hooking browsers

2008-05-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8348: htmlArea RTE: ctrl+c and ctrl+x do not work in IE with TYPO3 4.2
	* Updated htmlArea RTE version to 1.7.5 for TYPO3 4.2.1

2008-05-07  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8351: RTE.classes configuration not honoured by htmlArea RTE Insert/modify link class selector

2008-04-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #8254: htmlArea RTE sets invalid link to file selected using DAM media browser. Thanks to Xavier Perseguers.

2008-04-09  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug 8066: Incorrect height of htmlArea RTE dropdown selectors in some browsers
	* Updated htmlArea RTE version number to 1.7.4

2008-04-06  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7992: rtehtmlarea does not work with Firefox 3 Beta 5
	* Fixed bug #8043: Highlighting text from right to left in htmlArea RTE is erratic in Firefox

2008-04-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7990: htmlArea RTE color picker has no scrollbar

2008-03-28  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7955: htmlArea RTE API provides incorrect popup url
	* Fixed bug #7958: htmlArea RTE undo/redo handler may cause errors in FF

2008-03-26  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7944: htmlArea RTE: Configuration of mutually exclusive classes in very error prone
	* Fixed bug #7769: htmlArea RTE: Missing default class for tables

2008-03-24  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7934: HTMLArea RTE block style and text style may present disallowed classes

2008-03-22  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7923: htmlArea RTE cannot delete block via delete/backspace keys in IE6 and IE7

2008-03-20  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7918: HTMLArea RTE: table width unit default not honoured when width is not set

2008-03-17  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7886: JS error raised in htmlArea RTE in IE5.5 when setting inline markup or text style
	* Fixed bug #7880: Insert table and borders in htmlArea RTE
	* Fixed bug #7890: htmlArea RTE: premature undo snapshot may cause JavaScript error to be raised

2008-03-16  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7877: htmlArea RTE block style feature raises javascript errors in IE6
	* Fixed bug #7878: Extension cannot override a previously defined htmlArea RTE hotkey

2008-03-15  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7857: htmlArea RTE: hidePStyleItems does not work anymore
	* Fixed bug #7867: htmlArea RTE undo/redo does not restore caret position
	* Fixed bug #7857 (revisited): htmlArea RTE: hidePStyleItems does not work anymore
	* Fixed bug #7867 (revisited): htmlArea RTE undo/redo does not restore caret position

2008-03-14  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7862: htmlArea RTE: incorrect nesting of ol/ul inside definition lists

2008-03-13  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7851: htmlArea RTE causes memory leaks in IE
	* Fixed bug #7852: JS error raised in IE7 when closing htmlArea RTE
	* Fixed bug #7853: htmlArea RTE formatblock does not allow removing p or hx format in FF

2008-03-12  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #6064 (revisited): htmlArea RTE adds unwanted <p> tags in table cells

2008-03-11  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7834: htmlArea RTE block operations may produce invalid document structure

2008-03-07  Stanislas Rolland  <typo3@sjbr.ca>

	* Added two icons to htmlArea RTE skin for definition lists
	* Cleaned up dead code related to htmlArea RTE popups
	* Fixed bug #7788: htmlArea RTE: pageTSConfig from Inline Elements extension not included

2008-03-05  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7757: htmlArea RTE: Alternating table rows/columns should start at 1
	* Fixed bug #7770: htmlArea RTE: shift+tab in table body does not move back into thead
	* Fixed bug #7773: htmlArea RTE loads plugins in wrong order
	* Fixed bug #7774: htmlArea RTE toolbar not updated in IE7 on up/right/down/left arrow
	* Cleaned up dead code related to htmlArea RTE clickenlarge feature

2008-03-04  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7754: htmlArea RTE: Caption should be first element in table
	* Fixed bug #7755: htmlArea RTE: incorrect handling of enter key in definition lists

2008-03-02  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #7725: buttons.left(right,center,justifyfull).useClass not honored by htmlArea RTE

2008-02-29  Stanislas Rolland  <typo3@sjbr.ca>

	* Fixed bug #4121: Pasting content on RTE moves cursor to the top of the text
	* Fixed bug #7716: htmlArea RTE plugins using some undeclared variables
	
2008-02-28  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7684: htmlArea RTE: Cursor positioning when creating new table
	* Partially fixed bug #6714: htmlArea RTE: Poor tag handling everywhere in Opera

2008-02-27  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7697: Syntax error raised by Mozilla 1.7 when loading htmlArea RTE
	* Fixed bug #7698: htmlArea RTE fails to load due to missing toolbar constraints
	* Fixed bug #7690: Firefox 1.5 and Mozilla 1.7 crash when htmlArea RTE is in hidden tab

2008-02-26  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Added feature #7667: htmlArea RTE: Usability improvements in table operations
	* Fixed bug #7671: htmlArea RTE configuration variable "Add default User TSonfig RTE configuration" not working. Thanks to Jan Persson.
	* Fixed bug #7687: htmlArea RTE context menu may produce js error

2008-02-20  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7602: htmlArea RTE: Make the use of extended inline elements configurable
	* Fixed bug #7604: htmlArea RTE: add compatibility mode for indentation and alignment
	* Fixed bug #7609: HTMLArea RTE: labels deleted from file locallang_tooltips.xml
	* Fixed bug #7609 (continued): HTMLArea RTE: labels deleted from files CharacterMap/locallang and InlineCSS/locallang

2008-02-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7583: htmlArea RTE should allow to markup text in absence of any block element
	* Fixed bug #7584: htmlArea RTE: pressing TAB in last cell of table should create new row
	* Fixed bug #7585: Invoking htmlArea RTE block style plugin from other plugin fails in FF3 and IE7
	* Fixed bug #3537: htmlArea RTE: Inconsistent markup when adding tr/td in different ways in Firefox
	* Fixed bug #6767: htmlArea RTE: Merge cells does not work on merged cells
	* Fixed bug #3537 (revisited): htmlArea RTE: Correct execCommand argument in previous patch
	* Updated htmlArea RTE version number to 1.7.1 and updated manual

2008-02-17  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7564: htmlarea RTE: context menu alignment options produce js error

2008-02-16  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7560: Incorrect behaviours of block style in htmlArea RTE

2008-02-13  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7232: htmlArea RTE: In IE, selecting words with CTRL+SHIFT+Left doesn't activate "link" button
	* Fixed bug #7525: htmlArea RTE: Page TSConfig property toggleborders.setOnTableCreation not honored

2008-02-11  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7495: Various issues with nested lists in htmlArea RTE

2008-02-08  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7450 (revisited): further corrections to localization of htmlArea RTE
	* Fixed bug #7468: htmlArea RTE QuickTag plugin refusing to open dialogue in IE

2008-02-07  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #4588: Frontend htmlArea RTE loads global RTE config instead of function parameter $thisConfig
	* Fixed bug #7450: htmlArea RTE: localization is broken when the RTE is used by a frontend plugin
	* Fixed bug #7451: htmlArea RTE: BE localization is broken

2008-02-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7419: htmlArea RTE: Localization error in Remove Format plugin
	* Fixed bug #7421: htmlArea RTE: typographical error in localization file
	* Fixed bug #7052: Permission problem of htmlArea RTE images
	* Fixed bug #7052 (revisited): Permission problem of htmlArea RTE images, using t3lib_div::fixPermissions
	* Fixed bug #7428: htmlArea RTE: hiding a button hides the whole group
	* Fixed bug #5659: Several bugs when writing HTML entities and tags inside of htmlArea RTE
	* Fixed bug #3830: htmlArea RTE: Entities entered in wysiwyg are decoded

2008-02-04  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug: htmlArea RTE calling t3lib_div::getUserObj() with an empty string
	* Fixed bug: htmlArea RTE: incorrect configuration of TYPO3HtmlParser plugin

2008-02-01  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* added feature #880: Click-enlarge for Images in htmlArea RTE

2008-01-31  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature: Enhancements to the acronym feature of htmlArea RTE
	* Added feature #7332: htmlArea RTE: Add default target to classes configured with classesAnchor in Page TSConfig
	* Udpate htmlArea RTE version to 1.7.0 for TYPO3 4.2 beta1.

2008-01-29  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature/cleanup: Restructure htmlArea RTE plugins QuickTag, TableOperations, UserElements
	* Feature/cleanup: Move colors, fonts, text direction, word cleaning and lists to extensions/plugins of htmlArea RTE.
	* Feature #3633: Individual height of inline htmlArea RTE. Thanks to Ralf Hettinger.
	* Fixed bug #5013: htmlArea RTE Editor not working in Firefox 3.0 Granparadiso
	* Added feature #7318: In htmlArea RTE, text direction should be set with the dir attribute

2008-01-26  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature/cleanup: Restructure plugins FindReplace, InsertSmiley, RemoveFormat, SpellChecker, AboutEditor
	* Fixed bug #4074: SpellChecker not working. Thanks to Reinier Kleipool.
	* Fixed bug #4777: Spellchecker split words at some special chars (e.g. german umlauts). Thanks to Daniel Chabrol.

2008-01-24  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Added feature: Various enhancements to link dialogues in htmlArea RTE
	* Fixed bug #6787: classesAnchor and classesLinks get lost when changing tab in link browser
	* Added feature #4100: Insert/Modify Link with DAM
	* Fixed bug #7258: htmlArea RTE crashes on missing locallang.xml

2008-01-21  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed JS error when opening the TYPO3 image browser and proc.plainImageMode is not set

2008-01-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Added feature: Various enhancements to image dialog in htmlArea RTE
	* Fixed bug #3957: picture drag and drop throws you out of the tab navigation
	* Fixed bug #5490: Drag 'n drop javascript error / blank screen in IE
	* Added feature #5885: Default image class
	* Added feature #5902: Removing style attribute for images
	* Added feature #6115: Enabling configuration of the "edit image" dialogue

2008-01-17  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7196: Status of block element buttons not updated in htmlArea RTE toolbar

2008-01-15  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #7138: RTE is not rendered in Tabs

2008-01-11  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* htmlArea RTE: Update manual and version to 1.6.4dev

2008-01-07  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #6961: Errors in link creation popup window

2008-01-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature/Cleanup: Acronym plugin of htmlArea RTE using new plugin API and enabled in IE7
	* Fixed issue 6154: Plugin Acronym enables class abbr for span
	* Added feature 1927: Activate Acronym Plugin for IE
	* (major) Feature: Improved behaviour and configuration options for inline elements and text styling
	* Added feature 3708 (complete): support for <q>
	* Fixed issue 5952 (complete): Usability Issue with classes wrapped with <> in select lists
	* Added feature 6034: Improvements of inlineCSS: adding classes to inline elements without additional span
	* Fixed issue 6839: sub and sup are added via CSS instead of tags in Safari
	* Fixed issue 7052: Permission problem of RTE images

2008-01-05  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* (major) Feature: Improved behaviour and configuration options of formatblock and blockstyle drop-down lists
	* Feature:  Added buttons insertparagraphbefore, insertparagraphafter and blockquote
	* Feature:  Added Page TSConfig RTE sub-array mutuallyExclusiveClasses
	* Fixed issue 5952 (partial): Usability Issue with classes wrapped with <> in select lists
	* Fixed issue 5951: Disturbing behaviour of indent/outdent and TAB
	* Added feature 3708 (partial): support for <blockquote>
	* Fixed issue 5977: align="center" (right or left) not any more supported by W3C
	* Fixed issue 6837: Strange layout for header N except the first one (Safari)
	* Cleanup: Character Map plugin now using new plugin API

2007-12-30  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature/bugfix: Fixing icons for Opera and adding new icons in default skin of htmlArea RTE and in t3skin/rtehtmlarea

2007-11-27  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Bugfix #6836: htmlArea RTE cannot enter line break in Safari (Windows)

2007-11-22  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature/bugfix: htmlArea RTE: Enter paragraph on return key corrected and improved
	* Bugfix #6769: RTEhtmlarea not working with IRRE in FF anymore

2007-11-20  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature #6769 continued: Further adjustments and workarounds to enable htmlArea RTE in Safari

2007-11-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature #6769: Enable htmlArea RTE in Safari

2007-11-16  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature/bugfix: Change to the initialisation sequence of htmlArea RTE

2007-11-15  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature #6657 revisited: htmlArea RTE: remove em and strong remap from main script

2007-11-14  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature #6712: htmlArea RTE: make hotkeys configurable in PageTSConfig
	* Feature #6712 continued: htmlArea RTE: adding hotkeys to default configuration settings
	* Bugfix: htmlArea RTE: Correction to InlineDefault plugin causing frame reload.
	* Feature #6712 corected: htmlArea RTE: correction to DefaultInline plugin and enhanced API

2007-11-13  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature #6705: htmlArea RTE: Display all classes of an element in the statusbar
	* htmlArea RTE: Update manual and version  to 1.6.3dev
	* Feature #6579 continued: Allow plugins to register hotkeys

2007-11-12  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature #6579 continued: Backtracking on the use of Prototype.js by htmlArea RTE.

2007-11-10  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* (cleanup) Protect rtehtmlarea 'for' loops from properties possibly added by JS frameworks.
	* Feature #6579 continued: correction to plugin registration for FE case

2007-11-08  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature #6668 continued: Some minor adjustments when htmlArea RTE uses the Ajax request

2007-11-07  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Added feature #6668: Let htmlArea RTE use the Ajax request of the Prototype framework

2007-11-06  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Added SVN properties on some rtehtmlarea files
	* Feature 6579 continued: Make InlineCSS plugin use the RTE extension and plugin API

2007-11-05  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Feature 6579 continued: Use prototype.js to create a htmlArea plugin class.
	* Added feature #6657: Extract inline buttons from htmlArea RTE main scripts.

2007-11-02  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed feature #6579: Small correction to FE htmlArea RTE
	* Remove exception catching in htmlArea RTE when setting styleWithCSS
	* Fixed bug 6640: htmlArea RTE tool bar is not updated in IE when up or down arrow is pressed
	* Fixed feature #6619: Add underscore rather than dash in file names
	* Feature 6579 continued: Use prototype.js to create a htmlArea plugin class.

2007-11-01  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Added feature #6579: Make htmlArea RTE extensible
	* Added feature #6619: Let htmlArea RTE use t3lib_div::minifyJavaScript()
	* Deleted all compressed files in accordance with feature #6619
	* Fixed bug 6476: htmlArea RTE incorrectly nests tags on return key in FF

2007-10-30  Oliver Hader  <oh@inpublica.de>

	* Fixed bug #6613: IRRE/RTE - Creating a new child record fails if record uses htmlArea RTE

2007-10-26  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 5031: htmlArea RTE incorrectly processes col tags and default proc options disallow col and colgroup tags

2007-10-23  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug #5151: rtehtmlarea install/uninstall requires clearing cache

2007-10-19  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 6546: Remove htmlArea RTE acronym from Insert-Record object

2007-10-17  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Move styleWithCSS setting to the initialization phase of the htmlArea editor
	* Eliminate list of plugins in rtehtmlarea EM configuration

2007-10-16  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 4183: Incorrect display in htmlArea RTE of utf-8 labels for colors, classes and fonts defined in PageTSConfig
	* Re-inserting accidently deleted comments in class.tx_rtehtmlarea_base.php.
	* Fixed bug 4525: In htmlArea RTE, disabling personal dictionaries in UserTSConfig not honored

2007-10-15  Stanislas Rolland  <stanislas.rolland@fructifor.ca>

	* Fixed bug 5855: Missing unlink icon in htmlArea RTE
	* Fixed bug 5839: In htmlArea RTE, paragraph & text dropdown boxes inactive when using @media clause in stylesheet
	* Fixed bug 6152: AllowClipboard helper offered by htmlArea RTE doesn't work with 2.0.0.x Firefox
	* Fixed bug 6340: rtehtmlarea not working with "Editforms on page" option
	* Fixed bug 6152: Nullify default value AllowClipboard helper and use TYPO3-specific Firefox extension
	* Update version number of rtehtmlarea to 1.6.2dev

2007-05-03  Oliver Hader  <oh@inpublica.de>

	* Raised version from 1.5.2 to 1.5.3 for TYPO3 4.1.2
	* Fixed bug #5177: RTEhtmlarea not correctly displayed in IRRE child form-fields and tabs

2007-03-28  Patrick Broens  <patrick@patrickbroens.nl>

	* Version 1.5.2dev
	* Fix issue 5266: WamCom browser check was conflicting with Firefox 2.0.0.3

2007-01-23  Michael Stucki  <michael@typo3.org>

	* Change label of EM setting "AspellDirectory": The value must be a path, not a directory. The description should make this clear now...

2006-12-20  Peter Niederlag  <peter@niederlag.de>

	* Version 1.5.1dev
	* Important Security Update
	* Removing mod1 (not used anymore)

2006-11-23  Martin Kutschker  <martin.t.kutschker@blackbox.net>

	* Version 1.5.0
	* Allow UTF-8 file names for images

2006-08-14  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.4.2
	* For compatibility with := addToList syntax, show all buttons when * is found in the list RTE.default.showButtons.
	* Correction to generated stylesheet file. Thanks to Ingmar Schlecht.
	* Update to the manual.
	* Correction for Netscape 8.l: useCSS setting not honored.
	* Remove dependency of Spell Checker on Static Info Library (sr_static_info). Requires Static Info Tables version 2.0.0+.

2006-05-08  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.4.1
	* Correction: path setting in class.tx_rtehtmlarea_browse_links.php and class.tx_rtehtmlarea_select_image.php
	* Correction: configuration variable enableAccessibilityIcons was not set.

2006-05-05  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.4.0
	* Adapt popup windows resizing for Opera 9.
	* Fix to spell checker for Opera 9.
	* Add error text to troubleshooting log when attempt to load stylesheets fails.
	* Improved integration of TYPO3Browsers plugin with TYPO3 core element browser.
	* Move up attributes setting form in link and image insertion dialogs.
	* Add support for User TSConfig properties options.createFoldersInEB and options.noThumbsInRTEimageSelect.
	* Add new Page TSConfig properties disableLinkTagetSelector and disableLinkPopupSelector.
	* Add new Page TSConfig property toggleBordersOnTableCreation.
	* Fix bugtracker issue 2026: The editor gets the focus on page load in IE.
	* Allow to enable the use of images in the Minimal default configuration.
	* Fix issue 3296: RTEarea frontend usage with no-javascript fallback solution.
	* Add new Page TSConfig properties buttons.inserttag.denyTags, TSConfig properties buttons.inserttag.allowedAttribs and buttons.inserttag.tags.[tagname].allowedAttribs
	* Add new Page TSConfig properties buttons.image.options.removeItems, buttons.image.options.magic.maxWidth and buttons.image.options.magic.maxHeight
	* Add extension configuration variable "Enable links accessibility icons"
	* Fix bugtraker issue 3410: Updating image in IE doesn't work.
	* Add extension configuration variable "Enable the DAM media browser" and Page TSConfig property buttons.image.title.useDAMColumn.
	* Fix bugtracker issue 3006: in IE, link properties were not updated when the link was not completely selected.

2006-04-06  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.3.7
	* Fix bugtracker issue 3120: transforming text in link in Firefox may take excessive time.
	* Small workaround for empty selection test in Opera 9.
	* Fix bugtracker issue 3060: RTE includes a page from the Frontent when pasting text with enableCleanWord configured with server-based parsing.

2006-03-24  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.3.6
	* Correction to RemoveFormat plugin.

2006-03-21  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.3.5
	* Fix bugtracker issue 2530.
	* Further adjustments for Opera 9.

2006-03-19  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.3.4
	* Correction to configuration of enableWordClean. See bugtracker issue 2530.
	* Correction to XMLHttpRequest post request to set the charset of content. See issue 2530.
	* Further adjustments for Opera 9.
	* Adjustments for compatibility with t3skin_40
	* Update to manual.

2006-03-13  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.3.1
	* Correction to default value of $RTEWrapStyle variable in frontend plugin
	* A few small corrections in htmlarea.js for Opera 9
	* Fix bugtracker issue 2682.
	* Fix bugtracker issue 2241.
	* Remove class.ux_t3lib_parsehtml_proc.php
	* Remove support for versions older than 4.0 and clean code.
	* Adjustment to default settings for FE plugin.
	* Modify htmlarea.js so that IE7 always uses native XMLHttpRequest rather than ActiveX.
	* Update to manual.
	* Fix bugtracker issue 2820.

2006-03-05  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.3 (requires TYPO3 4.0)
	* Use new ts parsing := in cumulative sets of configuration defaults.

2006-03-04  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Add $RTEWrapStyle variable to frontend plugin class.tx_rtehtmlarea_pi2.php (bugtracker issue 2760).

2006-03-03  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.2.0
	* Update to manual

2006-02-23  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Fix bugtracker issue 2656

2006-02-21  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Path setting correction in SpellChecker plugin.

2006-02-17  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Remove Word 2003 o:p tags on paste with enableWordClean and/or save.

2006-02-16  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.1.8
	* Correction: RemoveFormat plugin was removing too many tags and attributes.
	* Remove conflicts with obsolete extensions deleted from TER.

2006-02-13  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.1.7
	* Correction: incorrect default styles were assigned to links other than internal.
	* Allow style attribute on span tag in the Demo default settings.

2006-02-08  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.1.6
	* Correct default processing configuration for the case of center, font, strike and u tags when encountered outside paragraphs.
	* Remove title field from link creation window when TYPO3 version is smaller than 3.8.2.
	* Replace true linebreaks with space inside block tags and after hr tags (see bugtracker issue 2365).
	* Plugin InlineCSS was not honoring property showTagFreeClasses.

2006-02-02  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.1.5
	* Automatic update of the extension version number in the About window.
	* Enable use of RTE in IE 7.
	* Small adjustments to SpellChecker plugin.
	* Change names of default settings.

2006-01-27  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.1.4
	* Correction to the behaviour of popups.
	* Correction to the QuickTag plugin (hx tags).
	* Change opening default of Acronym plugin to abreviation.
	* Reduce font size of context menu in all skins.
	* Work around Mozilla bug to force display update when table borders change.
	* Adjust opening height of SpellChecker window.

2006-01-26  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Code cleanup.
	* Improved link auto-detect in Mozilla/Firefox.
	* Fix issue 2358.

2006-01-19  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.1.3
	* Remove TYPO3HtmlParser plugin when the editor is used in the frontend.
	* Correct height, margins and padding of toolbar select fields in all editor skins.
	* Increase default width of the editor area from 460px to 530px.
	* Correction for Mozilla/Firefox: remove ending > from auto-detected email link.
	* Use relative addressing for link, image, user and acronym scripts.
	* Cleaning code and adding hook in TYPO3HtmlParser plugin (mod6/parse_html.php).

2006-01-12  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.1.2
	* Correction to path settings affecting CSS files when TYPO3 is installed in a subdirectory.
	* Cache the main JS files in typo3temp directory with hashed name including the extension version number.
	* Adjust opening size of some popup windows.
	* Correction to the automatic detection of url's in Mozilla/Firefox: the rightmost domain should be alphabetic.
	* Enable link editing options in the context menu when the cursor is positioned inside a link.
	* Enable the link button in the tool bar if some text is selected or if the cursor is positioned inside a link.

2006-01-08  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.1.1
	* Correction to path settings affecting image drag & drop and file/image upload.

2006-01-06  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.1.0
	* Convert all locallang files to xml.
	* Revise all licence notices in order to publish under GPL.

2006-01-05  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Allow align attribute on p and div tags in Demo Page TSConfig settings.
	* Restructure extension modules and resources folders.
	* Make extension conflict with rte_conf.
	* Reconfigure for new version of extension Lorem Ipsum.

2006-01-03  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Modify conf and module scripts so that the extension may be run as system, global or local extension.
	* Convert some files to UNIX linebreaks.
	* Recompress some JS scripts.
	* Restore Demo and Typical Page TSConfig default settings.

2005-12-29  Michael Stucki  <michael@typo3.org>

	* Solved problems with wrong backPath when installed as system extension in TYPO3 4.0 beta1.

2005-12-24  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Extend t3lib_parsehtml_proc only if TYPO3_VERSION is smaller than 4.0
	* Cleanup images folders.

2005-12-23  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Update to language files.

2005-12-22  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Update to Proc, Demo and Typical Page TSConfig.
	* Correction for No font and No size elements if font and size selectors.
	* Add support for thead and tfoot in TableOperations plugin.
	* Update to skins for th tags
	* Correction to some cleaning regular expressions in RemoveFormat plugin. Thanks to Ernesto Baschny.
	* Keep character map window open until explicitly closed.
	* Feature for Mozilla/Firefox: apply style to multiple selected cells of a table.
	* Correction to the extraction of class selectors from some css rules.

2005-12-20  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* New FAQ about style selector boxes in IE.
	* Numerous adjustments for eventual Opera support. Waiting for Opera Software to correct reported problems.
	* Add non-breaking space to the palette of the insertcharacter palette. Add hotkety ctrl+space to insert a non-breaking space.
	* Restructure the order of characters in the Insert special character popup window.
	* Page TSConfig removeTags property would incorrectly remove too many tags.
	* New Page TSConfig property keepToggleBordersInToolbar.
	* Update of the link to the Mozilla/Firefox AllowClipboardHelper extension. The new version has new features, new translations and will work with Firefox 1.5.
	* New TYPO3HtmlParser plugin and enableWordClean configurability.
	* Add support for header cells (th tag) in table operations.
	* Add support for all Page TSConfig properties supported by Classic RTE: RTE.classes, classesTable, classesTD, classesLinks, mainStyleOverride, mainStyleOverride_add, mainStyle_font, mainStyle_size, mainStyle_color, mainStyle_bgcolor, inlineStyle, disableRightClick and disablePCexamples.
	* Make Page TSCongfig settings compatible when migrating from Classic RTE to htmlArea RTE.
	* Restructure processing of Page TSConfig setup.
	* New default configurations: Typical, Advanced, Demo. Extension configuration variable Enable all editor options is replaced by Default configuration settings.
	* Correction for Mozilla/Firefox: when an email address is automatically recognized, the created link would be wrong if the local part of the email address contained parts with only one letter.
	* Correction: some icons were missing in the element browser when adding or editing links.
	* Correction for IE: the link button did not get activated when text was selected using keyboard arrows.
	* Correction: The title and alt attributes produced by the link creation/editing button could undergo incorrect character sets conversions in some configurations of backend and/or frontend character sets.
	* Add Page TSConfig properties to configure table operations dialogs: disableAlignmentFieldsetInTableOperations, disableSpacingFieldsetInTableOperations, disableColorFieldsetInTableOperations, disableLayoutFieldsetInTableOperations and disableBordersFieldsetInTableOperations
	* New Page TSConfig property ignoreMainStyleOverride for ease of migration from Classic RTE to htmlArea RTE.
	* Cleaning Mozilla folder.

2005-11-20  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 1.0.0
	* Extension of system class t3lib_parsehtml_proc : move any style attribute of an a-tag to a wrapping span-tag, so that the link may be transformed into a typolink, if no other attribute prevents its transformation. Thanks to Dimitrij Denissenko for this idea and its implementation.
	* Correction: updating the properties of an image was broken in version 0.7.6.
	* Correction: in the Remove Format window, when some text is selected, the default cleaning area will be ?Selection? (rather than ?All?). Thanks to Bernhard Kraft for noting this usability issue.
	* Method HTMLcleaner_db of class t3lib_parsehtml_proc is modified to honor Page TSConfig setting RTE.default.proc.HTMLparser_db.xhtml_cleaning = 1. See section Known problems.

2005-11-10  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.7.6:
	* Two new extension configuration variables allow to specify the maximum resolution of plain images inserted with the TYPO3 image browser.
	* Correction for TYPO3 3.8 on Windows server: the path to the locallang file of the spell checker was incorrectly set.
	* Addition of Danish translation.
	* Update to Russian translation.
	* Correction: if multiple instances of the editor were loaded on the same page, with different plugins configuration for each, only the scripts of plugins enabled in the last instance were loaded on the page, resulting in JavaScript errors.
	* New Page TSConfig and User TSConfig property enablePersonalDicts may be used to enable the use of personal dictionaries when using the spell checker.
	* Correction: some links could not be edited. See http://bugs.typo3.org/view.php?id=1748
	* Correction: possible incorrect character set conversion of default titleText (set in language file through anchor accessibility feature configuration) when backend is utf-8.

2005-10-17  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.7.4
	* Correction for Mozilla/Firefox: when the editor was loaded in a hidden tab, the size of the editing area would be incorrect when the tab becomes visible.
	* Update to Finnish and Italian translations.
	* Addition of Czech translation.
	* Correction to the documentation of the anchor accessibility feature.
	* Correction: insufficiently qualified CSS selectors in the editor skins resulted in styling problems mainly when the editor is used in the front end. Thanks to Claudio Strizzolo.
	* Correction: toggleborders button caused inconsistencies in the class selector of the table properties popup window.
	* Correction to the character set used by the xml parser and Aspell when invoked by the spell checker with iso-8859-1 content.

2005-10-05  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.7.2
	* Correction: incorrect display of the toolbar in some configurations.
	* Correction: incorrect update of some table properties.
	* Adjustments to the names of the css selectors of some toolbar buttons. Skins sr_rtehtmlarea_bluelook and sr_rtehtmlarea_xpblue need to be upgraded. Custom skins need to be updated.
	* Correction: incorrect  behavior of the hot keys (ctrl+key) and of the context menu's access keys (alt+key).
	* Remove generation of Mozilla/Firefox extension. Remove requirement for PHP zlib. Remove Archive_Zip package. Trigger install of AllowClipboard Helper  for all supported versions of Mozilla/Firefox. AllowClipboardHelper Firefox extension has been localized to French and Spanish.
	* Correction: some labels of the non-TYPO3 link and image insertion popups were not localized.
	* Revised About window. Skins need to be upgraded. Custom skins need to be updated.
	* New anchor accessibility feature.
	* Correction: erratic behaviors in Mozilla/Firefox when automatically detecting links and when backspacing.
	* Correction: PHP Fatal error when SpellChecker is enabled under PHP5. See http://bugs.typo3.org/view.php?id=1470
	* Update to the Dutch and German translations.
	* Correction for IE (and maybe other cases, see http://bugs.typo3.org/view.php?id=1425): When an unforgiving browser refuses to parse the content coming from the database, a popup window will inform the user that the HTML document is not well-formed, and the editor will be started in textmode so that the user can edit the error in the HTML source.
	* Correction: nested lists were not compliant with XHTML.
	* Correction: the path to skin file htmlarea-edited-content.css could be incorrect when typo3 is installed in a sub-directory.
	* Correction for IE: the paragraph style selector box was disabled.

2005-08-29  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.7.0
	* Correction: the  editor failed to initialize correctly when Page TSConfig property hideTableOperationsInToolbar was set to 1.
	* Addition of Toggle borders in the context memu.
	* Correction: updating a link did not work when the link was set on an image and on multiple elements.
	* Problem with Firefox extension “All-in-One Gestures” documented as Known problem.
	* Blue-look and xp-blue skins moved to separate extensions: sr_rtehtmlarea_bluelook and sr_rtehtmlarea_xpblue respectively.
	* Update to Finnish and Norwegian translations.

2005-08-16  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.6.2
	* Correction: the  image update popup dialog was broken in the previous version.
	* Update to the recommended server configuration for png images.
	* Addition of two example skins: blue-look and xp-blue, inspired by Xinha.
	* New Page TSConfig property: keepButtonGroupTogether will keep buttons of a same group together on the same line of the editor tool bar. Not supported in IE, nor in Mozilla 1.3.
	* Adjustments to the default skin. Custom skins may need to be adjusted.

2005-08-09  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.6.1
	* Added documentation section on server configuration.
	* Correction: the compressed version of plugin scripts were not used.
	* Various changes for performance improvement.
	* Added FAQ on hotkeys.
	* Update to Finnish and Norwegian translations.

2005-08-05  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.5.9
	* Correction: the MS Word Formatting option of the RemoveFormat button was broken in version 0.5.5.
	* Url of AllowClipboard Helper is added as an extension configuration variable.
	* The address and dl tags are added to the list $headListTags of TYPO3 system class t3lib_parsehtml_proc. See Known problems.
	* Correction: since version 0.5.5, html attribute values could be html-encoded more than once.
	* Correction: the editor will load correctly even if it is located in a hidden tab at te time of loading. See Known problems.
	* Improved memory management for IE.
	* Correction for IE: with some locales, the type of paragraph displayed in the toolbar may not correspond to the type of paragraph of the current selection.
	* Address is added to the default list of types of paragraphs.
	* Correction: since 0.5.5, html-encoding of single quotes was causing incompatibilities.
	* Correction: the Acronym plugin was broken since version 0.5.5.
	* Correction: if a title is added on a link, the link is not eligible as typolink, and TYPO3 will add a rtekeep attribute on the a tag; if the link is edited and the title removed, the editor should remove the rtekeep attribute so that the link becomes eligible as typolink again.
	* Correction: since 0.5.2, the Insert/Modify Link dialog could be broken in TYPO3 3.6.
	* New Page TSConfig property: removeTrailingBR. In Mozilla/Firefox/Netscape browsers, whenever some text is entered in an empty block, a trailing br tag is added by the browser. If this property is set, any trailing br tag in a block element will be removed on save and/or change mode. However, multiple trailing br tags will be preserved.
	* For IE: an error message will be displayed if execution of ActiveX controls is not enabled.

2005-07-23  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.5.5
	* The size of the back end editor area may be configured in User TSConfig. See the configuration section. Thanks to Peter Enzenberger.
	* In Mozilla/Firefox, url's and email's are automatically transformed into links as soon as they are followed by a space; hitting escape or ctrl-z before any other key unlinks the text. Thanks to Xinha.
	* Scripts compressed by about 25%. Use of compressed scripts is controlled by extension configuration.
	* Improved memory management and reduced memory leakage.
	* Correction: the cellinsertafter button was incorrectly configured in the default configuration.
	* Correction: when multiple instances of the editor were loaded on the same page, the always-show buttons were added only on the tool bar of the first instance.
	* Correction: the path to default skin component htmlarea-edited-content.css was incorrectly set.
	* When the configuration variable Enable Mozilla/Firefox extension is enabled, if the client browser is Firefox 1+, the installation of the Firefox extension AllowClipboard Helper will triggered instead of the extension generated by this TYPO3 extension.
	* In Mozilla/Firefox, an exception will be raised only when performing a paste with the tool bar button. Pasting with ctrl-v key will not raise any exception. Thanks to Guillaume Crico.

2005-07-06  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.5.4
	* Correction: one label of plugin RemoveFormat was not localized.
	* Correction: custom skins prevented correct loading of the RTE.
	* Correction for IE: incorrect display of the current class in the paragraph style selector in some configurations.
	* Correction for IE: the border handles of images and tables could not be selected for resizing.
	* Correction for IE: table, img, ol and ul elements may be correctly selected through the editor status bar.
	* Correction for IE: incorrect positioning of some popup window.
	* Correction for IE: incorrect behavior of the InlineCSS text style selector when Arabic text was selected.

2005-06-14  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.5.3
	* Correction for IE: when the collapsed borders attribute was set on a table, the table properties popup dialog did not reflect the set attribute: the checkbox was not checked.
	* Correction: when TYPO3 is not installed in the web server's root path, the dynamiccss.css file was not properly included. Thanks to Johannes Bornhold for this correction.
	* Correction for IE: on some Windows platforms, the display of the window status bar cannot be avoided unless the script is granted some privileges; in such cases, the height of the resized popup windows was insufficient; the resizing algorithm has been revised in order to correct this situation.
	* Correction: Correction to misbehavior of mailto link popup when no anchor class is specified in Page TSConfig.
	* Allow insertion of a file uploader on the File tab of the Insert/Modify link popup window (when TYPO3Browsers is used); the feature is enabled when property options.uploadFieldsInTopOfEB is set to 1 in User TSConfig. Thanks to Peter Niederlag for adding this feature.
	* For TYPO3 3.7.0+: use the tab menu in TYPO3 Insert/Modify link popup window.
	* Modify default Page TSConfig RTE configuration so as to remove Open Office <sdfield>-tags.
	* New Page TSConfig properties: removeComments, removeTags, removeTagsAndContents.
	* Correction for Mozilla/Firefox: when pasting in text by pressing the ctrl-v keys, the Mozilla extension installation was incorrectly triggered and/or failed.
	* Correction: inserting a paragraph from the context menu when positioned in a table or a list produced incorrect result.
	* New plugin/button allows to insert/edit acronyms and abbreviations. Not currently available in IE. Acronyms and abbreviations may be pre-defined with Acronym record type inserted on the TYPO3 site root.
	* Transform abbr tags into acronym tags when IE is used.

2005-05-23  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.5.1
	* Correction to the behavior of the style selection lists.

2005-05-21  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.5.0
	* Using TYPO3 classes to access language files.
	* Correcting character set conversion for the front end editor in some configurations.
	* Update to Brazilian Portuguese and Finnish translations.
	* Use doubleval in place of floatval in SpellChecker plugin.
	* Use XMLHttpRequest to asynchronously download required scripts.
	* Add troubleshooting log and extension configuration variable to enable logging.
	* Multiple changes to support Safari 1.3. Although the editor loads in Safari 1.3, it does not currently execute correctly due to some bugs in Safari edit mode.
	* Restructure the tool bar as an unordered list of label, select and button elements so that it can be walked through with the tab key. The list, including the button icons, is css-styled through the editor skin.
	* Restructure the context menu as an unordered list of button elements. The context menu, including the button icons, is css-styled through the editor skin.
	* Show in the context menu all table operations enabled in the given context.
	* Each of the table operations becomes a configurable tool bar element like all other tool bar elements.
	* New RTE Page TSConfig property: hideTableOperationsInToolbar. If set, the table operations buttons will not be displayed in the tool bar, but will appear in the context menu, when enabled in the given context.
	* Method TS_transform_db of class t3lib_parsehtml_proc is modified in order to replace true line breaks with spaces, instead of eliminating them. Thanks to Johannes Bornhold.
	* New htmlArea plugin UserElements to enable the "user" button.
	* Add the title attribute on the TYPO3 link insertion/modification dialog.
	* New toggleborders button to show table borders. Imported from Xinha.

2005-04-18  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.70
	* Correction to problem in method TS_transfrom_db.
	* Correction for Mozilla/Firefox and TCA feature dividers2Tabs.
	* Tune and simplify RTE processing options.
	* New FAQ on custom tags.
	* Method TS_transform_db is modified in order to remove true line breaks from hx tag content.
	* Correction to link removal.
	* Correction to default Page TSConfig.
	* Corrections to the front end editor plugin: allow all htmlArea plugins except TYPO3Browsers, remove call to t3lib_BEfunc.
	* Using TYPO3 db manipulation class.
	* Correcting the spell checker style sheet in IE for the front end editor.

2005-04-01  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.64
	* Move minimal and full default Page TsConfig to external files.
	* Generate Javascript localization files in typo3temp folder so that they can be cached by the browser.
	* Generate the Mozilla/Firefox xpi extension file only when necessary.
	* Method TS_transform_db of class t3lib_parsehtml_proc in order to avoid insertion of superfluous line breaks after tags PRE, UL, OL, H1, H2, H3, H4, H5, H6, HR, TABLE and BLOCKQUOTE. See section Known problems.
	* Correction to problem with some popup windows in Mozilla 1.4.
	* Produce xhtml-strict-compliant img tags when editing with Mozilla/Firefox. In editing mode, IE sets all names of style properties to upper case.

2005-03-21  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.60
	* Further adjustments to width of editor components.
	* Correction to incorrect behavior in IE when selecting an image or a table and when the textstyle toolbar element is shown.
	* If extension Lorem Ipsum is installed, htmlArea RTE will extend it so that dummy content may be inserted when the editor is in wysiwyg mode. Lorem Ipsum must however be installed before htmlArea RTE itself is installed.
	* Initial release of class tx_rtehtmlarea_pi2 allowing rich text editing in the front end. See Modern Guestbook Extended for an example.
	* New FAQ's.
	* Strip style attribute out of hr tags.
	* Eliminate warning from some servers on insert link, insert image and spell check popup windows.
	* Correction JavaScript error when selecting an image in Mozila/Firefox.
	* Correction to image width and height setting.
	* Allow setting only one dimension of the image for proportional display.
	* Allow setting image alternate text independently of the title attribute.

2005-03-13  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.55
	* Adjust default skin, width, height.
	* Clean up some code.

2005-03-12  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.54
	* Eliminate superfluous line break before and after edited content.
	* Eliminate extension conflict with clasical RTE extension.
	* Update to Dutch and Finnish translations.
	* Correction for IE: a JavaScript error was raised when selecting an image and then clicking on inserttag, emoticon or insertcharacter button.
	* Easier setting of extension configuration variables at the time of installation.
	* Correction for IE5.5: working around missing ownerDocument property.
	* New RTE Page TSConfig property: skin.
	* Moving context menu styles to the editor default skin CSS file.
	* Correcting editing area width in Firefox.
	* Ensure a default value for the editor skin.
	* Correcting path to default skin in some configurations.
	* Correcting editing area width and height when in text mode and/or in full page mode.
	* Adding class attribute to table, row and cell properties popup windows when blockstyle toolbar element is enabled.
	* Correcting target and class setting on links.

2005-02-26  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.45
	* Correcting path setting warning in insert link and insert image dialogs on some server configurations.
	* Correction for Mozilla/Firefox: when "Save and preview" was clicked, the editor was grabbing the focus away from the preview popup window.
	* Correction to the behavior of the status bar. See Known problems for remaining problem in IE.
	* New default value for RTE Page TSConfig property classesCharacter.
	* New  RTE Page TSConfig property: showTagFreeClasses.
	* Further internal structure changes and event handlers release.

2005-02-23  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.44
	* Internal structure changes for improved memory management, garbage collection, event handlers removal, etc.

2005-02-21  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.43
	* Enable the context menu when right-clicking on items of the status bar.
	* Setting class attribute in Insert/Modify link and Insert/Modify image dialogs. Add RTE configuration properties: classesAnchor and classesImage.
	* Setting special toolbarOrder defaults, for narrow and wide document background, in order to workaround  wrapping  bug in float style property in Mozilla 1.3.1 (for Mac OS 9).

2005-02-19  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.41
	* RTE was not loading in Mozilla 1.3.1 (wamcom release ) for Mac OS 9 (last Mozilla release for this platform).
	* Improved undo/redo operations.

2005-02-17  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.39
	* Added q, cite, abbr and acronym as allowed tags when "Enable all editor options" is checked.
	* Added q, cite and tt tags to the tags supported by the QuickTag plugin (inserttag button).
	* Work around bug in Mozilla 1.4 and Netscape 7.1 affecting DynamicCSS and InlineCSS plugins.
	* Two know problems documented.
	* Added tutorial by Jan Wulff on mod_gzip and IE caching problem.
	* Correction for IE: if a table was selected by clicking on its border and the delete or backspace key was pressed, a Javascript error was produced, but the table was deleted anyway. The Javascript error is now gone.
	* Correction: The TYPO3 back end form containing a text field edited with htmlArea RTE was submitted regardless of errors that should have been raised on the other fields of the form.

2005-02-15  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.37
	* Correction to the generated Mozilla/Firefox extension.
	* Correction to table operations: the current vertical alignment property of tables, rows and cell was incorrectly displayed.
	* New FAQs.
	* Replacing htmlArea plugin EnterParagrahs with corrected function from htmlArea 3 RC3 (modified for table cells). Corrects never ending header tag formatting.
	* Improved installation dialog and platform-independence of Mozilla/Firefox/Netscape extension for access to clipboard.
	* Eliminate warning when spell checking reverts to command mode with Aspell 0.5.
	* Further extension to system class t3lib_parsehtml_proc to add hr tag to $headListTags.
	* Added tt as allowed tags when "Enable all editor options" is checked.

2005-02-09  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.35
	* Browser recognition.
	* HTTPS in Mozilla/Firefox.
	* Style on font tag.
	* Vertical align display.

2005-02-05  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.33
	* Generation of Mozilla/Firefox extension.
	* Addition of Archive_Zip package (PEAR).
	* Fixing the height of the editing area.
	* Vertical align setting in table rows and cells.
	* Fixing CGI detection.

2005-02-01  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Version 0.4.32
	* The editor was not loading in Mozilla/Firefox in some configurations.
	* Replacement of inline styles.
	* Resizing of fullscreen editor.

2005-01-28  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Insert column after last corrected in IE.
	* Italian translation.

2005-01-18  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Last row, column, cell deletion in tables.
	* CGI detection corrected.
	* Character conversion corrected.

2005-01-14  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Toolbar configuration.
	* Fullpage plugin deletion.

2005-01-12  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Add float property on images
	* Correct CharacterMap initialization
	* Do not grab focus on generate

2005-01-11  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Revision of table operations popups
	* Language files from typo3.org

2004-12-22  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Strip value="0" attribute reported by IE on all li tags
	* Cleanup code in RemoveFormat and QuickTag plugins

2004-12-20  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Revision of initial dimensions setting of all popup windows

2004-12-18  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Correction to textarea width
	* Addition of InlineCSS plugin

2004-12-13  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Correction to link update
	* Correction to interface between SelectColor and QuickTag plugins
	* New showStatusBar property
	* New minimal/full options configuration check box
	* Documentation of version 0.4.10

2004-12-12  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* New QuickTag plugin and hideTags config property
	* Documentation of version 0.4.9

2004-12-10  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Correcting color formatting in gecko browsers
	* New useCSS RTE property

2004-12-08  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Correcting the default language labels
	* Making initialization DOM only.

2004-12-04  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Cleaning up
	* German translation

2004-12-02  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Removing dependency on sr_static_info when spell checker is not enabled
	* Integrating EnterParagraphs plugin
	* Streamlining CSS loading
	* Correcting delete/backspace in Firefox on initial load
	* Correcting toolbar in Firefox on return from textmode
	* Correcting RemoveFormat for non-breaking spaces
	* Correcting SpellChecker for non-breaking spaces

2004-11-28  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Changing extension from sr_htmlarea to rtehtmlarea

2004-11-27  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Correcting the behavior of the paragraph (formatblock) drop down list in IE
	* Deleting Indite plugin
	* Correcting color chooser styles for IE
	* Adjusting popup windows

2004-11-26  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* onload function moved from typo3_rte.js to htmlarea.js to correct loading with Firefox/WindowsXP
	* Correcting popup window opening with Linux/Firefox (popup.js, CharacterMap, RemoveFormat)
	* New default RTE processing options in ext_localconf.php

2004-11-23  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Standardizing popup window positioning (RemoveFormat and CharacterMap plugins)
	* Enabling the CharacterMap plugin (ext_localconf.php and class.tx_rtepbhtmlarea_base.php)
	* Update to documentation (doc/manual.sxw)
	* Update to version 0.3.12 of sr_htmlarea (ext_emconf.php)

2004-11-22  Stanislas Rolland  <stanislas.rolland(arobas)fructifor.ca>

	* Initial synchronization with latest version

2004-11-18  Michael Stucki  <michael@typo3.org>

	* Adding a ChangeLog
	* Initial CVS upload
